<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SubAccount extends Model
{
    use HasFactory;

    protected $fillable = ['number', 'user_id','office_id', 'balance', 'currency_code', 'status','account_id'];

    public function user()
    {
        return $this->belongsTo(User::class);
    }
    public function account()
    {
        return $this->belongsTo(Account::class);
    }


    public function office()
    {
        return $this->belongsTo(Office::class);
    }

    
}
